package com.huatek.busi.dao;

import com.huatek.busi.entity.CwzzMonitoringStatistics;
import com.huatek.busi.entity.TransformerInfraredMonitoringStatistics;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

/**
 * 测温统计 Dao
 */
@Repository
public class CwzzMonitoringStatisticsDao
    extends BaseDao<CwzzMonitoringStatistics, String> {

    public int saveOrUpdate(CwzzMonitoringStatistics entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
